# Method: projects.locations.tlsInspectionPolicies.delete

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/delete#body.aspect)

Deletes a single TlsInspectionPolicy.

### HTTP request

`DELETE https://networksecurity.googleapis.com/v1beta1/{name=projects/*/locations/*/tlsInspectionPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the TlsInspectionPolicy to delete. Must be in the format `projects/{project}/locations/{location}/tlsInspectionPolicies/{tlsInspectionPolicy}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networksecurity.tlsInspectionPolicies.delete` |

### Query parameters

| Parameters ||
|---|---|
| `force` | `boolean` If set to true, any rules for this TlsInspectionPolicy will also be deleted. (Otherwise, the request will only work if the TlsInspectionPolicy has no rules.) |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-security/rest/v1beta1/organizations.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).